package org.jeecg.modules.excelutil.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import java.util.Date;

/**
 * 聚划算后端数据
 */
public class JhsBakendDataEntity extends BaseRowModel {
    @ExcelProperty(index = 0, value = "日期")
    private String stateDate;
    @ExcelProperty(index = 1, value = "业务线")
    private String productLine;
    @ExcelProperty(index = 2, value = "任务名称")
    private String taskName;
    @ExcelProperty(index = 3, value = "客户端")
    private String clientName;
    @ExcelProperty(index = 4, value = "渠道id")
    private String channelId;
    @ExcelProperty(index = 5, value = "渠道名称")
    private String channelName;
    @ExcelProperty(index = 6, value = "adid")
    private String adId;
    @ExcelProperty(index = 7, value = "页面访问UV x")
    private Long pageView;
    @ExcelProperty(index = 8, value = "成交笔数 y")
    private Long dealNumber;
    private String vistor;
    private Date createTime;
    private Date updateTime;

    public JhsBakendDataEntity() {
    }

    public String getStateDate() {
        return stateDate;
    }

    public void setStateDate(String stateDate) {
        this.stateDate = stateDate;
    }

    public String getProductLine() {
        return productLine;
    }

    public void setProductLine(String productLine) {
        this.productLine = productLine;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getAdId() {
        return adId;
    }

    public void setAdId(String adId) {
        this.adId = adId;
    }

    public Long getPageView() {
        return pageView;
    }

    public void setPageView(Long pageView) {
        this.pageView = pageView;
    }

    public Long getDealNumber() {
        return dealNumber;
    }

    public void setDealNumber(Long dealNumber) {
        this.dealNumber = dealNumber;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getVistor() {
        return vistor;
    }

    public void setVistor(String vistor) {
        this.vistor = vistor;
    }
}
